print_help() {
  echo "Usage: mmucl [INTERFACE] [OPTION]"
  echo
  echo "Interfaces:"
  echo "xterm   - a xterm for display and a floating toolbar for input"
  echo "console - the console for input and display"
  echo "tk      - a pure Tcl/Tk interface"
  echo
  echo "INTERFACE defaults to tk."
  echo
  echo "Options:"
  echo "--help          print this message and exit"
  echo "--version       print the version and exit"
  echo "-exec SCRIPT    start mmucl and eval SCRIPT"
  echo
  echo "Report bugs to mpatton@jhu.edu"
}

# Check for options

for i in $*
do
  case $i in
  --help)
     print_help
     exit
  ;;
  --version)
    echo "MMuCl $VERSION"
    exit
  ;;
  -exec)
  ;;
  -*)
    echo "bad option $i"
    print_help
    exit 
  esac
done

# Figure out which interface to start

if [ "$1" = "xterm" ]
then
  exec "$XTERM" -T Mmucl -e "$WISH" "$MMUCL_DIR/interface/xterm.tcl" \
    -name Mmucl -- "$@"
elif [ "$1" = "console" ]
then
  exec "$TCLSH" "$MMUCL_DIR/interface/console.tcl" "$@"
elif [ "$1" = "tk" ] || [ "$1" = "" ] || [ "$1" = "-exec" ]
then
  exec "$WISH" "$MMUCL_DIR/interface/tk.tcl" -name Mmucl -- "$@"
else
  print_help
fi



